サポート » インストール » 4.4アップデートとプラグイン更新を同時に行ったらエラー文が出ました。

  • 解決済 pppunco

    (@pppunco)


    4.4のアップデートとプラグインの更新をダッシュボードにて同時に行ったら下記の文章が出て、ダッシュボードへ行けなくなってしまいました。

    Fatal error: Call to undefined function wp_removable_query_args() in /home/users/0/サイトURL/web/blog/wp-admin/includes/misc.php on line 900

    サーバーの方に問い合わせたところ、エラーは発生していないそうで、どこをどのようにしたら良いのか分かりません。

    プラグインの無効化もしてみましたが、駄目でした。
    プラグインだけでなく、テーマの更新もその時あったかもしれず(確認せず更新してしまいました)何か不具合が起きたのかもしれないと思い、
    使っていないテーマを削除し、現在のはアップデートした形跡がなかったのでそのままです。
    記述にあるmisc.phpの900行目を見ましたが、どこを直していいのかわかりません。
    最新の4.4をダウンロードして900行目を確認しましたが、ソースが同じでした。
    そちらをアップロードしましたが、現状変わりません。

    英語版の方でも同様のがあったのですがよくわかりません。
    https://wordpress.org/support/topic/upgrading-to-44-gave-me-this-error?replies=11

    どうぞよろしくお願い致します。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • WordPress 本体のアップデートは正常に完了していますか?念のため、一度全体バックアップを取ってから、FTPなどで 手動アップグレード を試してみてください。

    wp_removable_query_argsはWP4.4で新設された関数で、wp-includes/functions.phpにあります。

    スレッド開始 pppunco

    (@pppunco)

    ありがとうございました!
    早速手動アップグレードにて試みたところ、ダッシュボードへ入る事が出来ました。
    数日間悩んでいたので、本当にほっといたしました。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • トピック「4.4アップデートとプラグイン更新を同時に行ったらエラー文が出ました。」には新たに返信することはできません。